From: "Michael Sterrett" <mr_bones_@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-engines/openmw/
Date: Tue, 24 May 2016 19:52:04 +0000 (UTC) [thread overview]
Message-ID: <1464119508.c795db0ecbe94b4a02084f67a30d323dd1bb9210.mr_bones_@gentoo> (raw)
commit: c795db0ecbe94b4a02084f67a30d323dd1bb9210
Author: Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Tue May 24 19:51:31 2016 +0000
Commit: Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Tue May 24 19:51:48 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c795db0e
games-engines/openmw: version bump (bug #567742)
Package-Manager: portage-2.2.28
games-engines/openmw/Manifest | 1 +
games-engines/openmw/openmw-0.39.0.ebuild | 101 ++++++++++++++++++++++++++++++
2 files changed, 102 insertions(+)
diff --git a/games-engines/openmw/Manifest b/games-engines/openmw/Manifest
index 3568e8a..7efa1b2 100644
--- a/games-engines/openmw/Manifest
+++ b/games-engines/openmw/Manifest
@@ -1 +1,2 @@
DIST openmw-0.36.1.tar.gz 4186134 SHA256 c83fddf3302dd8040330e2d41a9656bb66b1fc8224b24d685d8792b15f74af22 SHA512 9cbd9db876bacc736ab071a6074d92c44b1497780a2a6f4dbff5f109107173baae5490af92c1092985863897d63e063336fe1a8093269fd7b3ce48dee550425d WHIRLPOOL 305a87faea65413629b0e639280dba1462ade723b130e82bab823d86658066656fe250e81a26e1415b81ebed39a790e278f443fa2c92657422eb9ac9ba681faf
+DIST openmw-0.39.0.tar.gz 4764754 SHA256 b0d294b0814099bd93326f7b86dd84fb727d38dd536bf104272112e6d70ae720 SHA512 05b9ed89d04f55fad4358a9920af1d702a1957f54233e613737126278318e7c64cacfc557c6ba43d2282454a825b1c9e225e9429d11ba0f03c5c6dd93124d91a WHIRLPOOL bb3744e1fdf4e63c02c055237eb3a749ded32da097259f6f065d331681b214be932eeb4b654c91747fb5356dbb0e88f603e0f1a4113bb3f791f9e1b3d7e6b53f
diff --git a/games-engines/openmw/openmw-0.39.0.ebuild b/games-engines/openmw/openmw-0.39.0.ebuild
new file mode 100644
index 0000000..dc2e570
--- /dev/null
+++ b/games-engines/openmw/openmw-0.39.0.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils gnome2-utils cmake-utils games
+
+DESCRIPTION="An open source reimplementation of TES III: Morrowind"
+HOMEPAGE="http://openmw.org/"
+SRC_URI="https://github.com/OpenMW/openmw/archive/${P}.tar.gz"
+
+LICENSE="GPL-3 MIT BitstreamVera OFL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc devtools"
+
+RDEPEND="
+ >=dev-games/openscenegraph-3.3.4[ffmpeg,jpeg,png,qt5,sdl,svg,truetype,zlib]
+ || ( media-libs/libtxc_dxtn x11-drivers/ati-drivers x11-drivers/nvidia-drivers )
+ app-arch/unshield
+ >=dev-games/mygui-3.2.2
+ >=dev-libs/boost-1.56.0-r1
+ dev-libs/tinyxml
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ media-libs/freetype:2
+ media-libs/libsdl2[joystick,opengl,X,video]
+ media-libs/openal
+ >=sci-physics/bullet-2.80
+ virtual/ffmpeg
+ virtual/opengl
+ devtools? ( dev-qt/qtxmlpatterns:5 )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen media-gfx/graphviz )"
+
+S=${WORKDIR}/${PN}-${P}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBINDIR="${GAMES_BINDIR}"
+ $(cmake-utils_use_build devtools BSATOOL)
+ $(cmake-utils_use_build devtools ESMTOOL)
+ $(cmake-utils_use_build devtools OPENCS)
+ -DBUILD_UNITTESTS=OFF
+ -DDATADIR="${GAMES_DATADIR}"/${PN}
+ -DICONDIR="/usr/share/icons/hicolor/256x256/apps"
+ -DLIBDIR="$(games_get_libdir)"
+ -DMORROWIND_DATA_FILES="${GAMES_DATADIR}"/morrowind-data
+ -DOPENMW_RESOURCE_FILES="${GAMES_DATADIR}"/${PN}/resources
+ -DGLOBAL_CONFIG_PATH="${GAMES_SYSCONFDIR}"
+ -DUSE_SYSTEM_TINYXML=ON
+ -DDESIRED_QT_VERSION=5
+ )
+
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile
+
+ if use doc ; then
+ emake -C "${CMAKE_BUILD_DIR}" doc
+ find "${CMAKE_BUILD_DIR}"/docs/Doxygen/html \
+ -name '*.md5' -type f -delete || die
+ fi
+}
+
+src_install() {
+ cmake-utils_src_install
+ dodoc README.md
+
+ # about 47k files, dodoc seems to have trouble
+ if use doc ; then
+ dodir "/usr/share/doc/${PF}"
+ mv "${CMAKE_BUILD_DIR}"/docs/Doxygen/html \
+ "${D}/usr/share/doc/${PF}/" || die
+ fi
+
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ gnome2_icon_cache_update
+
+ elog "You need the original Morrowind Data files. If you haven't"
+ elog "installed them yet, you can install them straight via the"
+ elog "installation wizard which is the officially"
+ elog "supported method (either by using the launcher or by calling"
+ elog "'openmw-wizard' directly)."
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
next reply other threads:[~2016-05-24 19:52 UTC|newest]
Thread overview: 43+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-05-24 19:52 Michael Sterrett [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-14 1:11 [gentoo-commits] repo/gentoo:master commit in: games-engines/openmw/ Stefan Strogin
2024-11-29 0:12 Sam James
2024-03-23 16:19 Sam James
2024-03-23 13:44 Sam James
2023-09-09 0:49 Ionen Wolkens
2023-08-14 11:38 Joonas Niilola
2023-07-22 17:01 David Seifert
2023-07-22 17:01 David Seifert
2023-02-16 9:51 David Seifert
2022-08-28 0:10 Ionen Wolkens
2022-05-26 4:28 Ionen Wolkens
2021-12-18 18:26 David Seifert
2021-12-08 3:33 Sam James
2021-10-16 21:27 Ionen Wolkens
2021-09-12 20:20 Ionen Wolkens
2021-08-16 8:30 Joonas Niilola
2021-07-31 1:15 Ionen Wolkens
2021-07-14 5:47 Ionen Wolkens
2021-06-18 19:18 David Seifert
2021-06-05 23:39 Ionen Wolkens
2021-05-06 12:47 Joonas Niilola
2020-10-13 10:46 Joonas Niilola
2020-05-27 9:43 Andreas Sturmlechner
2020-03-14 17:59 Andreas Sturmlechner
2019-07-28 22:26 James Le Cuirot
2019-07-28 22:26 James Le Cuirot
2018-12-23 22:48 Andreas Sturmlechner
2018-08-21 8:31 Patrice Clement
2018-07-15 14:53 Andreas Sturmlechner
2018-03-18 10:03 Andreas Sturmlechner
2018-02-07 2:02 Andreas Sturmlechner
2018-01-12 21:02 David Seifert
2017-11-01 20:30 James Le Cuirot
2017-03-02 19:39 Andreas Sturmlechner
2017-02-18 21:45 Andreas Sturmlechner
2017-02-18 21:17 Andreas Sturmlechner
2017-02-18 21:17 Andreas Sturmlechner
2016-11-11 19:39 Austin English
2016-06-07 22:27 Michael Sterrett
2015-09-06 19:31 Michael Sterrett
2015-08-09 13:28 Julian Ospald
2015-08-09 12:25 Julian Ospald
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1464119508.c795db0ecbe94b4a02084f67a30d323dd1bb9210.mr_bones_@gentoo \
--to=mr_bones_@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox